/*
    dgund.com
    © Copyright 2017 Devin Gund. All rights reserved.
*/

/* Reset
–––––––––––––––––––––––––––––––––––––––––––––––––– */
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed,  figure, figcaption, footer, header, hgroup,  menu, nav, output, ruby, section, summary, time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
    display: block;
}

body {
    line-height: 1;
}

ol, ul {
    list-style: none;
}

blockquote, q {
    quotes: none;
}

blockquote:before, blockquote:after,

q:before, q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

*, *:before, *:after {
    box-sizing: border-box;
}


/* Columns
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.columns {
    box-sizing: border-box;
    margin: 0 0 0 -2em;
}

.columns > * {
    box-sizing: border-box;
    float: left;
    padding: 0 0 0 2em;
}

@media screen and (max-width: 736px) {
    .columns > * {
        margin-bottom: 2em;
    }

        .columns > *:last-child {
            margin-bottom: 0;
        }
}

.columns:after, .columns:before {
    clear: both;
    content: '';
    display: block;
    height: 0;
}

.column {
    clear: none;
    float: left;
}

    .column > *:last-child {
        margin-bottom: 0;
    }

.one-fifth {
    width: 20%;
}

.one-fourth {
    width: 25%;
}

.one-third {
    width: 33.333333%;
}

.two-fifths {
    width: 40%;
}

.one-half {
    width: 50%;
}

.three-fifths {
    width: 60%;
}

.two-thirds {
    width: 66.666667%;
}

.three-fourths {
    width: 75%;
}

.four-fifths {
    width: 80%;
}

@media screen and (max-width: 736px) {
    .one-fifth,
    .one-fourth,
    .one-third,
    .two-fifths,
    .one-half,
    .three-fifths,
    .two-thirds,
    .three-fourths,
    .four-fifths {
        width: 100%;
    }
}

.centered {
    display: block;
    float: none;
    margin-left: auto;
    margin-right: auto;
}


/* Page
–––––––––––––––––––––––––––––––––––––––––––––––––– */
html, body {
    min-width: 320px;
}

body {
    background: #ffffff;
    /* Compensate for nav header */
    margin-top: 3em;
}


/* Text
–––––––––––––––––––––––––––––––––––––––––––––––––– */
body, input, select, textarea {
    color: #222222;
    font-family: 'Open Sans', 'Helvetica Neue', 'Helvetica', 'Arial', sans-serif;
    font-size: 13pt;
    font-weight: 400;
    line-height: 1.7em;
}

a {
    transition: border-bottom-color 0.2s ease;
    text-decoration: none;
    color: #1a77bd;
}

    a:hover {
        border-bottom: solid 1px;
    }

strong, b {
    font-weight: 700;
}

em, i {
    font-style: italic;
}

p, ul, ol, dl {
    margin: 0 0 1em 0;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Montserrat', 'Helvetica Neue', 'Helvetica', 'Arial', sans-serif;
    font-weight: 600;
    line-height: 1.5em;
}

h1 {
    line-height: 1.2em;
    margin: 0 0 1em 0;
}

h2, h3, h4, h5, h6 {
    margin: 0 0 0.5em 0;
}

    h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
        color: inherit;
    }

h1 {
    font-size: 2.5em;
}

h2 {
    font-size: 1.5em;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1.0em;
}

h5 {
    font-size: 0.8em;
}

h6 {
    font-size: 0.6em;
}

sub {
    font-size: 0.8em;
    position: relative;
    top: 0.5em;
}

sup {
    font-size: 0.8em;
    position: relative;
    top: -0.5em;
}

blockquote {
    border-left: solid 4px #222222;
    font-style: italic;
    margin: 0 0 2em 0;
    padding: 0.5em 0 0.5em 1em;
}

code {
    background: rgba(150, 150, 150, 0.1);
    border: solid 1px #cccccc;
    border-radius: 4px;
    font-family: 'Courier New', monospace;
    font-size: 1.0em;
    margin: 0 0.5em;
    padding: 0.5em 0.5em;
}

pre {
    -webkit-overflow-scrolling: touch;
    font-family: 'Courier New', monospace;
    font-size: 1.0em;
    margin: 0 0 1em 0;
}

    pre code {
        display: block;
        line-height: 1.75;
        padding: 1em 1em;
        overflow-x: auto;
    }

hr {
    border: 0;
    border-bottom: solid 1px #cccccc;
    margin: 1em 0;
}

.text-left {
    text-align: left;
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

@media screen and (max-width: 736px) {
    body, input, select, textarea {
        font-size: 14pt;
    }

    h1 {
        font-size: 2em;
    }

    h2 {
        font-size: 1.25em;
    }

    h3 {
        font-size: 1em;
    }
}


/* Icons
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.icon {
    text-decoration: none;
    border-bottom: none;
    position: relative;
}

    .icon:before {
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        font-style: normal;
        font-weight: normal;
        text-transform: none !important;
    }

    .icon.boxed {
        background-color: transparent;
        border: solid 2px #222222;
        border-radius: 4px;
        color: inherit;
        display: inline-block;
        height: 2.75em;
        line-height: 2.75em;
        text-align: center;
        transition: box-shadow 0.2s ease-in-out;
        width: 2.75em;
    }

        .icon.boxed:hover,
        .icon.boxed:active {
            box-shadow: inset 0 0 0 1px #222222;
        }

        .icon.boxed.round {
            border-radius: 100%;
        }


/* Lists
–––––––––––––––––––––––––––––––––––––––––––––––––– */
ol {
    list-style: decimal;
}

    ol li {
        padding-left: 0.5em;
        padding-bottom: 0.2em;
    }

    ol li:last-child {
        padding-bottom: 0em;
    }

ul {
    list-style: square;
}

    ul li {
        padding-left: 0.5em;
        padding-bottom: 0.2em;
    }

    ul li:last-child {
        padding-bottom: 0em;
    }

ul.icons {
    cursor: default;
    list-style: none;
    margin: -1em 0 2em -1.5em;
}

    ul.icons li {
        display: inline-block;
        padding: 1em 0 0 1.5em;
        margin: 0;
    }

ul.buttons {
    cursor: default;
    list-style: none;
    padding-left: 0;
}

    ul.buttons li {
        display: inline-block;
        margin: 0;
        padding: 0 1em 0 0;
        vertical-align: middle;
    }

        ul.buttons li:last-child {
            padding-right: 0;
        }

dl {}

    dl dt {
        display: block;
        font-weight: 700;
        margin: 0 0 1em 0;
    }

    dl dd {
        margin-left: 2em;
    }

ul.featured li, ol.featured li {
    padding-bottom: 0.8em;
}


/* Symbols
–––––––––––––––––––––––––––––––––––––––––––––––––– */
ul.symbol {
    list-style: none;
}

    ul.symbol li:before, li.symbol:before {
        content: '';
        display: inline-block;
        height: 1em;
        width: 1.5em;
        background-size: contain;
        background-repeat: no-repeat;
        background-position: bottom;
        margin-right: 0.5em;
    }

.icon.symbol {
    display: inline-flex;
    align-items: center;
}

    .icon.symbol:before {
        content: '';
        display: inline-block;
        height: 55%;
        width: 55%;
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
        margin: auto;
    }

.symbol-apple:before, .symbol-apple > li:before {
    background-image: url('../symbols/apple.svg');
}

.symbol-caret:before, .symbol-caret > li:before {
    background-image: url('../symbols/caret-right.svg');
}

.symbol-check:before, .symbol-check > li:before {
    background-image: url('../symbols/check.svg');
}

.symbol-code:before, .symbol-code > li:before {
    background-image: url('../symbols/code.svg');
}

.symbol-dribbble:before, .symbol-dribbble > li:before {
    background-image: url('../symbols/dribbble.svg');
}

.symbol-file:before, .symbol-file > li:before {
    background-image: url('../symbols/file.svg');
}

.symbol-flag:before, .symbol-flag > li:before {
    background-image: url('../symbols/flag-usa.svg');
}

.symbol-github:before, .symbol-github > li:before {
    background-image: url('../symbols/github.svg');
}

.symbol-government:before, .symbol-government > li:before {
    background-image: url('../symbols/landmark.svg');
}

.symbol-graduate:before, .symbol-graduate > li:before {
    background-image: url('../symbols/graduation-cap.svg');
}

.symbol-honor:before, .symbol-honor > li:before {
    background-image:url('../symbols/star.svg');
}

.symbol-link:before, .symbol-link > li:before {
    background-image: url('../symbols/link.svg');
}

.symbol-linkedin:before, .symbol-linkedin > li:before {
    background-image: url('../symbols/linkedin-in.svg');
}

.symbol-nasa:before, .symbol-nasa > li:before {
    background-image: url('../symbols/rocket.svg');
}

.symbol-patent:before, .symbol-patent > li:before {
    background-image: url('../symbols/balance-scale.svg');
}

.symbol-press:before, .symbol-press > li:before {
    background-image: url('../symbols/newspaper.svg');
}

.symbol-video:before, .symbol-video > li:before {
    background-image: url('../symbols/video.svg');
}

.symbol-vote:before, .symbol-vote > li:before {
    background-image: url('../symbols/vote-yea.svg');
}


/* Images
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.image {
    border: 0;
    display: inline-block;
    position: relative;
}

    .image img {
        display: block;
    }

    .image.fit,
    .image.featured {
        display: block;
        width: 100%;
    }

    .image.featured {
        padding-top: 100%; /* set intrinsic aspect ratio to prevent layout shift */
    }

    .image.fit img,
    .image.featured img {
        width: 100%;
    }

    .image.featured img {
        border-radius: 4px;
        margin: 0 auto;
        max-width: 450px;
        position: absolute; /* layout at top, ignoring padding-top for aspect ratio */
        top: 0;
        left: 0;
    }


/* Tables
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.table-wrapper {
    -webkit-overflow-scrolling: touch;
    overflow-x: auto;
}

table {
    margin: 0 0 2em 0;
    width: 100%;
}

    table tbody tr {
        border: solid 1px #cccccc;
        border-left: 0;
        border-right: 0;
    }

        table tbody tr:nth-child(2n + 1) {
            background-color: rgba(150, 150, 150, 0.1);
        }

    table td {
        padding: 0.75em 0.75em;
    }

    table th {
        font-size: 0.9em;
        font-weight: 700;
        padding: 0 0.75em 0.75em 0.75em;
        text-align: left;
    }

    table thead {
        border-bottom: solid 2px #cccccc;
    }

    table tfoot {
        border-top: solid 2px #cccccc;
    }


/* Buttons
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.button,
button,
input[type='button'],
input[type='reset'],
input[type='submit'] {
    appearance: none;
    background-color: transparent;
    border: 0;
    border-radius: 4px;
    box-shadow: inset 0 0 0 2px #222222;
    color: #222222;
    cursor: pointer;
    display: inline-block;
    font-size: 0.9em;
    font-weight: 700;
    line-height: 3.5em;
    overflow: hidden;
    padding: 0 1.5em 0 1.5em;
    text-align: center;
    text-decoration: none;
    text-overflow: ellipsis;
    transition: box-shadow 0.2s ease-in-out;
    white-space: nowrap;
}

    .button.icon:before,
    button.icon:before
    input[type='button'].icon:before,
    input[type='reset'].icon:before,
    input[type='submit'].icon:before {
        margin-right: 0.5em;
    }

    .button.fit,
    button.fit
    input[type='button'].fit,
    input[type='reset'].fit,
    input[type='submit'].fit {
        display: block;
        margin: 0 0 1em 0;
        width: 100%;
    }

    .button:hover,
    button:hover,
    input[type='button']:hover,
    input[type='reset']:hover,
    input[type='submit']:hover {
        box-shadow: inset 0 0 0 3px #222222;
    }

    .button:disabled,
    .button.disabled,
    button:disabled,
    button.disabled,
    input[type='button']:disabled,
    input[type='button'].disabled,
    input[type='reset']:disabled,
    input[type='reset'].disabled,
    input[type='submit']:disabled,
    input[type='submit'].disabled {
        opacity: 0.25;
        pointer-events: none;
    }


/* Forms
–––––––––––––––––––––––––––––––––––––––––––––––––– */
form {
    margin: 0;
}

    form:after {
        clear: both;
        content: '';
        display: block;
    }

    form .field {
        float: left;
        margin: 0 0 1.5em 0;
        position: relative;
        vertical-align: top;
        width: 100%;
    }

    form :last-child {
        margin-bottom: 0;
    }

    form .field-one-half {
        padding-left: 2em;
        width: calc(50% + 1em) !important;
    }

        form .field-one-half.first {
            padding-left: 0;
            width: calc(50% - 1em) !important;
        }

        form .field-one-half:nth-last-child(2) {
            margin-bottom: 0;
        }

    form .buttons {
        clear: both;
        padding-top: 1em;
        position: relative;
    }

    label {
        display: block;
        font-size: 1.0em;
        font-weight: 700;
        margin: 0 0 1em 0;
    }

    select,
    textarea,
    input[type='email'],
    input[type='password'],
    input[type='text'] {
        appearance: none;
        background-color: transparent;
        border: none;
        border-radius: 0;
        border-bottom: solid 1px #222222;
        color: inherit;
        display: block;
        outline: 0;
        padding: 0;
        text-decoration: none;
        width: 100%;
    }

    select:invalid,
    textarea:invalid
    input[type='email']:invalid,
    input[type='password']:invalid,
    input[type='text']:invalid {
        box-shadow: none;
    }

    select:focus,
    textarea:focus,
    input[type='email']:focus,
    input[type='password']:focus,
    input[type='text']:focus {
        box-shadow: inset 0 -1px 0 0 #222222;
    }

    .select-wrapper {
        text-decoration: none;
        display: block;
        position: relative;
    }

    .select-wrapper:before {
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        color: #222222;
        content: '\f078';
        display: block;
        font-family: 'Font Awesome 5 Free';
        font-style: normal;
        font-weight: normal;
        height: 3em;
        line-height: 3em;
        pointer-events: none;
        position: absolute;
        right: 0;
        text-align: center;
        text-transform: none !important;
        top: 0;
        width: 3em;
    }

    select,
    input[type='email'],
    input[type='password'],
    input[type='text'] {
        height: 2.5em;
    }

    textarea {
        padding: 0;
        min-height: 3.5em;
    }

    input[type='checkbox'],
    input[type='radio'] {
        appearance: none;
        display: block;
        float: left;
        margin-right: -2em;
        opacity: 0;
        width: 1em;
        z-index: -1;
    }

    input[type='checkbox'] + label,
    input[type='radio'] + label {
        text-decoration: none;
        color: #222222;
        cursor: pointer;
        display: inline-block;
        font-size: 1em;
        font-weight: 400;
        padding-left: 2.55em;
        padding-right: 0.75em;
        position: relative;
    }

        input[type='checkbox'] + label:before,
        input[type='radio'] + label:before {
            -moz-osx-font-smoothing: grayscale;
            -webkit-font-smoothing: antialiased;
            border-radius: 4px;
            border: solid 1px #c9c9c9;
            content: '';
            display: inline-block;
            font-family: 'Font Awesome 5 Free';
            font-style: normal;
            font-weight: normal;
            height: 1.8em;
            left: 0;
            line-height: 1.75em;
            position: absolute;
            text-align: center;
            text-transform: none !important;
            top: 0;
            width: 1.8em;
        }

    input[type='checkbox']:checked + label:before,
    input[type='radio']:checked + label:before {
        background: #222222;
        border-color: #222222;
        color: #ffffff;
        content: '\f00c';
    }

    input[type='checkbox']:focus + label:before,
    input[type='radio']:focus + label:before {
        border-color: #eeeeee;
        box-shadow: 0 0 0 1px #eeeeee;
    }

    input[type='checkbox'] + label:before {
        border-radius: 4px;
    }

    input[type='radio'] + label:before {
        border-radius: 100%;
    }

@media screen and (max-width: 480px) {
    form .field-one-half {
        width: 100% !important;
        padding-left: 0;
    }

    form .field-one-half.first {
        width: 100% !important;
        padding-left: 0;
    }

    form .field-one-half:nth-last-child(2) {
        margin: 0 0 1.5em 0;
    }
}


/* Wrapper
–––––––––––––––––––––––––––––––––––––––––––––––––– */
#wrapper > * > .inner {
    width: 100%;
    max-width: 60em;
    margin: 0 auto;
    padding: 0 3em;
}

@media screen and (max-width: 736px) {
    #wrapper > * > .inner {
        padding: 0 1em;
    }
}


/* Header
–––––––––––––––––––––––––––––––––––––––––––––––––– */
#header {
    background: #ffffff;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
    color: #222222;
    cursor: default;
    left: 0;
    overflow: hidden;
    padding: 0.5em 0em;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 10000;
}

    #header #logo {
        float: left;
        font-size: 1.2em;
        font-family: 'Open Sans';
        font-weight: 700;
        margin: 0.25em 0 0 0;
    }

    #header nav {
        float: right;
        font-size: 1.2em;
        letter-spacing: 0.075em;
        margin: 0;
    }

    #header * {
        margin: 0;
    }

    #header nav ul {
        line-height: 0;
    }

    #header nav ul li {
        display: inline-block;
        margin-left: 1.0em;
    }

        #header nav ul li a {
            border: solid 1px transparent;
            color: inherit;
            display: inline-block;
            line-height: 1.0em;
            padding: 0.5em 0.6em;
            text-decoration: none;
        }

        #header nav ul li .button {
            font-size: 0.8em;
            width: auto;
        }


/* Main
–––––––––––––––––––––––––––––––––––––––––––––––––– */

#main {
    padding: 1.5em 0;
}
    #main section {
        margin-bottom: 2em;
    }

    #main section:last-child {
        margin-bottom: 0;
    }

        #main section:last-child > p:last-child {
            margin-bottom: 0;
        }

/* Headline
–––––––––––––––––––––––––––––––––––––––––––––––––– */
#headline {
    margin: 0 0 2em 0;
}

    #headline > h1 {
        margin-bottom: 0.2em;
    }

    #headline > * {
        margin-bottom: 0;
    }


/* About
–––––––––––––––––––––––––––––––––––––––––––––––––– */
#about {}

    #about > section {
        margin-bottom: 1.5em;
    }

        #about > section:last-child {
            margin-bottom: 0em;
        }

    #about ul {
        margin-bottom: 0;
    }

    #about span {
        display: inline-block;
        vertical-align: middle;
    }

    #about .avatar {
        margin: 0 1.5em 0 0;
    }

        #about .avatar img {
            width: 100px; /* set aspect ratio to prevent layout shift */
            height: 124px;
        }

@media screen and (max-width: 736px) {
    #about span,
    #about .avatar,
    #about .avatar img {
        display: block;
        margin: 0 auto;
    }

    #about h2 {
        margin-bottom: 1.5em;
    }

    #about h3 {
        margin-top: 0.3em;
        text-align: center;
    }
}


/* Tiles
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.tile {
    display: -webkit-flex;
    display: flex;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
    margin: -1em 0 0 -1em;
    position: relative;
}

    .tile article {
        transition: transform 0.5s ease, opacity 0.5s ease;
        position: relative;
        width: calc(25% - 1em);
        padding-top: calc(25% - 1em); /* set intrinsic aspect ratio to prevent layout shift */
        margin: 1em 0 0 1em;
        background-color: gray;
        border-radius: 4px;
    }

    .tile article > .image {
        transition: transform 0.5s ease;
        display: block;
        position: absolute; /* layout at top, ignoring padding-top for aspect ratio */
        top: 0;
        left: 0;
        width: 100%;
    }

        .tile article > .image img {
            display: block;
            width: 100%;
            border-radius: 4px;
        }

        .tile article > .image:before {
            transition: background-color 0.5s ease, opacity 0.5s ease;
            background-color: #222222;
            content: '';
            display: block;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            z-index: 1;
            opacity: 0.4;
            border-radius: 4px;
        }

    .tile article > a {
        display: -webkit-flex;
        display: flex;
        -webkit-flex-direction: column;
        flex-direction: column;
        -webkit-align-items: center;
        align-items: center;
        -webkit-justify-content: center;
        justify-content: center;
        -webkit-transition: background-color 0.5s ease, -webkit-transform 0.5s ease;
        transition: background-color 0.5s ease, transform 0.5s ease;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        padding: 0.1em;
        border-radius: 4px;
        border-bottom: 0;
        color: #ffffff;
        overflow: hidden;
        text-align: center;
        text-decoration: none;
        z-index: 3;
    }

        .tile article > a > :last-child {
            margin: 0;
        }

        .tile article > a:hover {
            color: #ffffff !important;
        }

        .tile article > a h2 {
            margin: 0;
        }

        .tile article > a .content {
            transition: max-height 0.5s ease, opacity 0.5s ease;
            width: 100%;
            max-height: 0;
            margin-top: 0.35em;
            opacity: 0;
        }

        .tile article > a .content > :last-child {
            margin-bottom: 0;
        }

    .tile article:hover {
        z-index: 9999;
    }

    .tile article:hover > .image {
        transform: scale(1.1);
    }

    .tile article:hover .content {
        max-height: 15em;
        opacity: 1;
    }

@media screen and (max-width: 1280px) {
    .tile article {
        width: calc(25% - 1em);
        padding-top: calc(25% - 1em);
    }
}

@media screen and (max-width: 980px) {
    .tile article {
        width: calc(33.3333% - 1em);
        padding-top: calc(33.3333% - 1em);
    }
}

@media screen and (max-width: 500px) {
    .tile article {
        width: calc(50% - 1em);
        padding-top: calc(50% - 1em);
    }
}


/* Footer
–––––––––––––––––––––––––––––––––––––––––––––––––– */
#footer {
    margin: 1em 0 3em 0;
    text-align: center;
}
